Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001313TestLinkTest Specificationpublic2008-01-22 23:212008-11-07 19:47
Reportertuergeist 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001313: Search for TestCaseID without prefix causes an error
Descriptionif you enter a unprefixed TestCaseID in the formfield next to "Logout"-Link, you'll get an error due to missing offset checking in

lib/functions/testcase.class.php - getInternalID() (line 1302ff)

Additional Informationin lib/functions/testcase.class.php - getInternalID() (line 1302ff)
after:
  $pieces=explode($glueCharacter,$stringID);

you should add
  if(count($pieces) != 2)
  {
    // throw error or sth else
  }
or sth else
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003001)
tuergeist
2008-01-22 23:33

using: SNAPSHOT-HEAD-2008-01-22.tar.bz2
(0003007)
fman (administrator)
2008-01-23 00:22

thanks.
Attention: this development is not finished yet

- Issue History
Date Modified Username Field Change
2008-01-22 23:21 tuergeist New Issue
2008-01-22 23:33 tuergeist Note Added: 0003001
2008-01-23 00:21 fman Status new => assigned
2008-01-23 00:21 fman Assigned To => fman
2008-01-23 00:22 fman Note Added: 0003007
2008-01-28 16:57 fman Status assigned => resolved
2008-01-28 16:57 fman Fixed in Version => next development version (1.8 Beta1)
2008-01-28 16:57 fman Resolution open => fixed
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker